from libqtile import layout

from colors import colors

layout_theme = {
    "border_width": 1,
    "margin": 5,
    "border_focus": colors['green'],
    "border_normal": colors['cyan']
}

treetab_layout = {
    "font": "FiraCode Nerd Font",
    "fontsize": 10,
    "sections": [""],
    "section_fontsize": 8,
    "bg_color": colors['background'],
    "active_bg": colors['foreground'],
    "active_fg": colors['background'],
    "inactive_bg": colors['background'],
    "inactive_fg": colors['white'],
    "padding_y": 5,
    "section_top": 10,
    "panel_width": 100
}

layouts = [
    # layout.MonadWide(**layout_theme),
    # layout.Bsp(**layout_theme),
    # layout.Stack(num_stacks=2, **layout_theme),
    # layout.Columns(**layout_theme),
    # layout.RatioTile(**layout_theme),
    # layout.VerticalTile(**layout_theme),
    # layout.Matrix(**layout_theme),
    layout.MonadTall(**layout_theme),
    # layout.Max(**layout_theme),
    # layout.Tile(shift_windows=True, **layout_theme),
    layout.TreeTab(**treetab_layout),
    layout.Floating(**layout_theme)
]

floatrules = [
    {'wmclass': 'confirm'},
    {'wmclass': 'download'},
    {'wmclass': 'error'},
    {'wmclass': 'file_progress'},
    {'wmclass': 'confirmreset'},
    {'wmclass': 'makebranch'},
    {'wmclass': 'maketag'},
    {'wmclass': 'ssh-askpass'},
    {'wname': 'branchdialog'},
    {'wname': 'pinentry-gtk-2'},
    {'wname': 'pinentry'},
    {'wname': 'win0'}
]

floating_layout = layout.Floating(float_rules = floatrules, border_width = 0)
